using Exam.Infrastructure.Data.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Trains
{
    public class TrainPracticeOptionsDto: UpdateTrainPracticeOptionsDto
    {
    }

    public class AddTrainPracticeOptionsDto : IAddRequest
    {
        /// <summary>
        /// 培训习题Id
        /// </summary>
        [Description("培训习题Id")]
        public string TrainPracticeId { get; set; }

        /// <summary>
        /// 题库选项Id
        /// </summary>
        [Description("题库选项Id")]
        public string QuestionOptionId { get; set; }

        /// <summary>
        /// 题库Id
        /// </summary>
        [Description("题库Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [Description("选项")]
        public string Content { get; set; }

        /// <summary>
        /// 是否答案
        /// </summary>
        [Description("是否答案")]
        public bool IsAnswer { get; set; }

        /// <summary>
        /// 选项题标
        /// </summary>
        [Description("选项题标")]
        public string Label { get; set; }
    }

    public class UpdateTrainPracticeOptionsDto : AddTrainPracticeOptionsDto, IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }

    public class SimpleTrainPracticeOptionsDto:IAddRequest
    {
        /// <summary>
        /// 题库Id
        /// </summary>
        [Description("题库Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 题库选项Id
        /// </summary>
        [Description("题库选项Id")]
        public string QuestionOptionId { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [Description("选项")]
        public string Content { get; set; }

        /// <summary>
        /// 选项题标
        /// </summary>
        [Description("选项题标")]
        public string Label { get; set; }

        /// <summary>
        /// 是否选择
        /// </summary>
        [Description("是否选择")]
        public bool IsSelected { get; set; }

        /// <summary>
        /// 是否正确答案
        /// </summary>
        [Description("是否正确答案")]
        public bool IsAnswer { get; set; }
    }
}
